Add New Controls to a Section in the Policy

POST /pcas/v3/policy/section/control/

With this API, you can add controls within a section of a compliance policy.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy for which you want to add controls within a section.
sectionNumber={value} Required Integer Enter the section number to which you want to add controls.
controls={value} Required String Specify the list of controls to be added to a
particular section of the policy. Each control should contain the following elements:
  • controlId={value}: (Required) (Integer) Id of a control to be added to the section.
  • referenceText={value} : (Optional) (String) Specify a reference text for the control while adding it. If not provided default referenceText of the control will be used.
  • criticality={value} : (Optional) (String) Specify the control criticality value while adding control. If not provided default criticality of the control will be used.
  • isControlDisable={value} : (Optional) (Boolean) Specify the value as either 'true' or 'false' to disable/enable the control while adding it. If not provided control will be enabled by default.
  • controlNumber={value} : (Optional) (Boolean) Specify the position number where you want to add control in a section. If not provided control will be added at the end in the section.

Sample - Add a new control to a particular section in the policySample - Add a new control to a particular section in the policy

API Request

curl -X 'POST' \
'https://<qualys_base_url>/pcas/v3/policy/section/control' \
-H 'accept: application/json' \
-H 'Authorization: Bearer 'Auth_Token' ' \
-H 'Content-Type: application/json' \
-d '{
"policyId": 5656121,
"sectionNumber": 1,
"controls": [
{
"controlId": 1048,
"referenceText": "Reference Text",
"isControlDisable": true,
"controlNumber": 2,
"criticality": "CRITICAL"
}
]
}

XML Output

[
  {
    "controlId": 1048,
    "sectionNumber": 1,
    "controlNumber": 2,
    "statement": "Status of the 'Shutdown: Clear virtual memory pagefile' 
setting",
    "criticality": "CRITICAL",
    "isControlDisable": false,
    "referenceText": null,
    "technologies": [
      {
        "technologyId": 18,
        "technologyName": "Windows Vista",
        "evaluate": {
          "dp": {
            "k": "secman.system.clearpageonshut",
            "v": [
              "1"
            ],
            "description": "This Integer value <B>X</B> indicates the current status of the setting <B>Shutdown: Clear virtual memory pagefile</B> using the registry key path <B>HKEY_LOCAL_MACHINE\\System\\CurrentControlSet\\Control\\Session Manager\\Memory Management\\ClearPageFileAtShutdown</B> if configured via <B>Group Policy Editor</B> or 
<B>Microsoft Intune / MDM</B>. A value of <B>0</B> indicates the setting is <B>Disabled</B>; a value of <B>1</B> indicates the setting is <B>Enabled</B>.",
            "fv": [
              {
                "value": "0",
                "set": "1",
                "description": "Disabled"
              },
              {
                "value": "1",
                "set": "1",
                "description": "Enabled"
              },
              {
                "value": "314159265358979",
                "set": "1",
                "description": "Key not found"
              }
            ],
            "op": "eq"
          }
 },
 "remediation": "To configure the group policy setting go to Computer Configuration -> Windows Settings -> Security Settings -> Local Policies -> Security Options -> 'Shutdown: Clear virtual memory pagefile'.  Set its value as appropriate to the needs of the business or as per security policy of the organization.", "rational": "This check provides the current status of the 'Shutdown: Clear virtual memory pagefile' setting.  The Windows Pagefile contains 'near-time' information stored by system and/or user processes on the hard disk in 'virtual memory,' so that space in the RAM can be freed up for real-time processing needs. Sensitive information, such as logon credentials and other company proprietary information cached from browser/database downloads may be stored in the Pagefile.  As this can potentially be read by using an lternative OS when the Windows OS is shut down,this should be configured as appropriate to the needs of the business."
      }
    ]
  }
 ]


 

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.